Get Single Entity
curl --request GET \
--url https://api.replyke.com/api/v6/:projectId/entities/:entityIdimport requests
url = "https://api.replyke.com/api/v6/:projectId/entities/:entityId"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.replyke.com/api/v6/:projectId/entities/:entityId', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"userId": "<string>",
"shortId": "<string>",
"foreignId": "<string>",
"title": "<string>",
"content": "<string>",
"keywords": [
{}
],
"attachments": [
{}
],
"metadata": {},
"location": {
"type": "<string>",
"coordinates": [
123
]
},
"upvotes": [
{}
],
"downvotes": [
{}
],
"views": 123,
"createdAt": "<string>",
"updatedAt": "<string>"
}Entity Endpoints
Get Single Entity
Fetch a single entity by its ID
GET
/
:projectId
/
entities
/
:entityId
Get Single Entity
Fetches a single entity by its ID. Publicly accessible.
Path Parameters
string
required
ID of the entity to retrieve
Response
string
Unique entity identifier
string
ID of the user who created the entity
string
Short identifier for easy sharing
string
External reference ID if provided
string
Entity title
string
Entity content
array
Array of keywords associated with the entity
array
Array of attachment objects
object
Custom metadata
array
Array of user IDs who upvoted
array
Array of user IDs who downvoted
number
Number of times the entity was viewed
string
Creation timestamp in ISO 8601 format
string
Last update timestamp in ISO 8601 format
Error Responses
Invalid Entity ID - 400 Bad Request
Invalid Entity ID - 400 Bad Request
{
"error": "Missing a valid entityId in request query.",
"code": "entity/invalid-resource-id"
}
Not Found - 404 Not Found
Not Found - 404 Not Found
{
"error": "Entity not found",
"code": "entity/not-found"
}
Server Error - 500 Internal Server Error
Server Error - 500 Internal Server Error
{
"error": "Internal server error.",
"code": "entity/server-error",
"details": "<Error message>"
}
Notes
- No authentication is required.
- Entity score may be updated asynchronously after response is sent.
- Returned entity includes metadata, vote counts, and replies count if available.

